Package org.opensaml.xmlsec.signature.support.impl

# Class ChainingSignaturePrevalidator

java.lang.Object
org.opensaml.xmlsec.signature.support.impl.ChainingSignaturePrevalidator

All Implemented Interfaces:
  `SignaturePrevalidator`

public class ChainingSignaturePrevalidator extends Object implements SignaturePrevalidator
A signature prevalidator implementation which chains execution of a list of `SignaturePrevalidator` instances.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.
`private List<SignaturePrevalidator>`
`validators`
The chain of SignaturePrevalidator instances to execute.

## Constructor Summary

Constructors
Constructor
Description
`ChainingSignaturePrevalidator(List<SignaturePrevalidator> validatorChain)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(Signature signature)`
Validate the signature according to the requirements represented by the validator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

### validators

@Nonnull private List<SignaturePrevalidator> validators
The chain of SignaturePrevalidator instances to execute.

## Constructor Details

### ChainingSignaturePrevalidator

public ChainingSignaturePrevalidator(@Nonnull @ParameterName(name="validatorChain") List<SignaturePrevalidator> validatorChain)
Constructor.

Parameters:
  `validatorChain` - the chain of SignaturePrevalidator instances to execute

## Method Details

### validate

public void validate(@Nonnull Signature signature) throws SignatureException
Validate the signature according to the requirements represented by the validator.

Specified by:
  `validate` in interface `SignaturePrevalidator`
Parameters:
  `signature` - the signature to evaluate
Throws:
  `SignatureException` - if the signature does not meet the validator's requirements